(function ($) {
    "use strict";
    var gravatarImages = $('img[data-gravatar-hash]');
    gravatarImages.each(function () {
        var showGravatar = $(this).attr('data-show-gravatar');
        if (showGravatar === 'on') {
            (async () => {
                var gravatarHash = $(this).attr('data-gravatar-hash');
                var gravatarSize = $(this).attr('data-gravatar-size');
                var isAdmin = $(this).attr('data-is-admin');
                if(isAdmin==='true'){
                    $(this).before(`<span class="poly-verified"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-check-circle-fill" viewBox="0 0 16 16">
                    <path d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0m-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z"/>
                  </svg></span>`);
                }
                let exists = await checkGravatarExists(gravatarHash, 1);/** perfomance 1 pixel */
                if (exists) {
                    $(this).attr('src',getGravatarUrl(gravatarHash, gravatarSize));
                }
            })();
        }
    });

    async function checkGravatarExists(emailHash, size = 80) {
        var url = `http://www.gravatar.com/avatar/${emailHash}?s=${size}&d=404`;
        try {
            let response = await fetch(url);
            return response.status !== 404;
        } catch (error) {
            // console.error('Error:', error);
            return false;
        }
    }
    function getGravatarUrl(emailHash, size = 80){
        return `http://www.gravatar.com/avatar/${emailHash}?s=${size}&d=404`;
    }

})(jQuery);